
#define BLYNK_PRINT Serial

#include <Wire.h> 
#include <LiquidCrystal_I2C.h>
#include <ESP8266_Lib.h>
#include <BlynkSimpleShieldEsp8266.h>

LiquidCrystal_I2C lcd(0x27,16,2);
// You should get Auth Token in the Blynk App.
// Go to the Project Settings (nut icon).
char auth[] = "YourAuthToken";

// Your WiFi credentials.
// Set password to "" for open networks.
char ssid[] = "******";
char pass[] = "******";

// Hardware Serial on Mega, Leonardo, Micro...
//#define EspSerial Serial1

// or Software Serial on Uno, Nano...
#include <SoftwareSerial.h>
SoftwareSerial EspSerial(A9, A8); // RX, TX

// Your ESP8266 baud rate:
//#define ESP8266_BAUD 38400

ESP8266 wifi(&EspSerial);

BLYNK_WRITE(V10)
{
  String i = param.asStr(); // assigning incoming value from pin V1 to a variabl
    lcd.clear();
    lcd.setCursor(0, 0);
    lcd.print(i); // Print a message to the LCD.
    delay(500); //wait for 250 microseconds
}

void setup()
{
  lcd.init(); //initialize the lcd
  lcd.backlight(); //open the backlight 
  // Debug console
  Serial.begin(9600);
 while (!Serial) {
    ; // wait for serial port to connect. Needed for native USB port only
  }
  Serial.println("start");
  // set the data rate for the SoftwareSerial port
  EspSerial.begin(115200);
  EspSerial.write("AT+UART_DEF=9600,8,1,0,0\r\n");
  EspSerial.write("AT+RST\r\n");
  delay(100);
  EspSerial.begin(9600);

  Blynk.begin(auth, wifi, ssid, pass);
  // You can also specify server:
  //Blynk.begin(auth, wifi, ssid, pass, "blynk-cloud.com", 80);
  //Blynk.begin(auth, wifi, ssid, pass, IPAddress(192,168,1,100), 8080);

}

void loop()
{
  Blynk.run();
}
